## org.eclipse.jst.jsf.facesconfig.emf
Interface SystemEventListenerType

All Known Implementing Classes:
  SystemEventListenerTypeImpl

    public interface SystemEventListenerType

A representation of the model object 'System Event Listener Type'.

The following features are supported:

- `System Event Listener Class`
- `System Event Class`
- `Source Class`
- `Id`

See Also:
  `FacesConfigPackage.getSystemEventListenerType()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.lang.String` `getId()` Returns the value of the 'Id' attribute
`SourceClassType` `getSourceClass()` Returns the value of the 'Source Class' containment reference
`SystemEventClassType` `getSystemEventClass()` Returns the value of the 'System Event Class' containment reference
`SystemEventListenerClassType` `getSystemEventListenerClass()` Returns the value of the 'System Event Listener Class' containment reference
`void` `setId(java.lang.String value)` Sets the value of the '`Id`' attribute
`void` `setSourceClass(SourceClassType value)` Sets the value of the '`Source Class`' containment reference
`void` `setSystemEventClass(SystemEventClassType value)` Sets the value of the '`System Event Class`' containment reference
`void` `setSystemEventListenerClass(SystemEventListenerClassType value)` Sets the value of the '`System Event Listener Class`' containment reference

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getSystemEventListenerClass

    SystemEventListenerClassType getSystemEventListenerClass()

  Returns the value of the 'System Event Listener Class' containment reference.

  If the meaning of the 'System Event Listener Class' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Event Listener Class' containment reference.
  See Also:
    `setSystemEventListenerClass(SystemEventListenerClassType)`, `FacesConfigPackage.getSystemEventListenerType_SystemEventListenerClass()`

### setSystemEventListenerClass

    void setSystemEventListenerClass(SystemEventListenerClassType value)

  Sets the value of the '`System Event Listener Class`' containment reference.

  Parameters:
    `value` - the new value of the 'System Event Listener Class' containment reference.
  See Also:
    `getSystemEventListenerClass()`

### getSystemEventClass

    SystemEventClassType getSystemEventClass()

  Returns the value of the 'System Event Class' containment reference.

  If the meaning of the 'System Event Class' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'System Event Class' containment reference.
  See Also:
    `setSystemEventClass(SystemEventClassType)`, `FacesConfigPackage.getSystemEventListenerType_SystemEventClass()`

### setSystemEventClass

    void setSystemEventClass(SystemEventClassType value)

  Sets the value of the '`System Event Class`' containment reference.

  Parameters:
    `value` - the new value of the 'System Event Class' containment reference.
  See Also:
    `getSystemEventClass()`

### getSourceClass

    SourceClassType getSourceClass()

  Returns the value of the 'Source Class' containment reference.

  If the meaning of the 'Source Class' containment reference list isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Source Class' containment reference.
  See Also:
    `setSourceClass(SourceClassType)`, `FacesConfigPackage.getSystemEventListenerType_SourceClass()`

### setSourceClass

    void setSourceClass(SourceClassType value)

  Sets the value of the '`Source Class`' containment reference.

  Parameters:
    `value` - the new value of the 'Source Class' containment reference.
  See Also:
    `getSourceClass()`

### getId

    java.lang.String getId()

  Returns the value of the 'Id' attribute.

  If the meaning of the 'Id' attribute isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Id' attribute.
  See Also:
    `setId(String)`, `FacesConfigPackage.getSystemEventListenerType_Id()`

### setId

    void setId(java.lang.String value)

  Sets the value of the '`Id`' attribute.

  Parameters:
    `value` - the new value of the 'Id' attribute.
  See Also:
    `getId()`